Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
Configuration:
  --cache-file=FILE       cache test results in FILE
  --help                  print this message
  --no-create             do not create output files
  --quiet, --silent       do not print `checking...' messages
  --version               print the version of autoconf that created configure
Directory and file names:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [/usr/local]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [same as prefix]
  --bindir=DIR            user executables in DIR [EPREFIX/bin]
  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  --datadir=DIR           read-only architecture-independent data in DIR
                          [PREFIX/share]
  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
                          [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  --includedir=DIR        C header files in DIR [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  --infodir=DIR           info documentation in DIR [PREFIX/info]
  --mandir=DIR            man documentation in DIR [PREFIX/man]
  --srcdir=DIR            find the sources in DIR [configure dir or ..]
  --program-prefix=PREFIX prepend PREFIX to installed program names
  --program-suffix=SUFFIX append SUFFIX to installed program names
  --program-transform-name=PROGRAM
                          run sed PROGRAM on installed program names
Host type:
  --build=BUILD           configure for building on BUILD [BUILD=HOST]
  --host=HOST             configure for HOST [guessed]
  --target=TARGET         configure for TARGET [TARGET=HOST]
Features and packages:
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --x-includes=DIR        X include files are in DIR
  --x-libraries=DIR       X library files are in DIR
--enable and --with options recognized:
  --enable-debuglevel     set internal checking level
	-1 - recover from segmentation faults
	 0 - no checks (fastest)
	 1 - check memory leaks
	 2 - check memory leaks, red zone
	 3 - check memory leaks, red zone, pattern filling
  --enable-graphics       use graphics
  --disable-utf8          disable UTF-8 terminal (saves memory)
  --without-getaddrinfo   compile without getaddrinfo function
  --without-ipv6          compile without ipv6
  --without-libevent      compile without libevent
  --without-gpm           compile without gpm mouse
  --with-ssl(=directory)  enable SSL support
  --with-ssl=nss          enable SSL support through NSS OpenSSL emulation
  --disable-ssl-pkgconfig don't use pkgconfig when searching for openssl
  --without-zlib          compile without zlib compression
  --without-brotli        compile without brotli compression
  --without-zstd          compile without zstandard compression
  --without-bzip2         compile without bzip2 compression
  --without-lzma          compile without lzma compression
  --without-lzip          compile without lzip compression
  --without-openmp        compile without OpenMP
  --without-svgalib       compile without svgalib graphics driver
  --without-x             compile without X Window System graphics driver
  --without-fb            compile without Linux Framebuffer graphics driver
  --without-directfb      compile without DirectFB graphics driver
  --without-pmshell       compile without PMShell graphics driver
  --without-windows       compile without Windows graphics driver
  --without-atheos        compile without Atheos graphics driver
  --without-haiku         compile without Haiku graphics driver
  --without-grx           compile without DOS GRX graphics driver
  --with-x                use the X Window System
  --without-freetype      compile without freetype support
  --disable-freetype-pkgconfig don't use pkgconfig when searching for libfreetype
  --disable-png-pkgconfig don't use pkgconfig when searching for libpng
  --without-libjpeg	  compile without JPEG support
  --without-libtiff       compile without TIFF support
  --without-librsvg       compile without SVG support
  --disable-svg-pkgconfig don't use pkgconfig when searching for librsvg
  --without-libwebp       compile without WEBP support
  --disable-webp-pkgconfig don't use pkgconfig when searching for librwebp
